> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-60c89f9a-mintlify-audit-missing-sections-1778528421.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Webhook

> **DELETE** `/v2/accounts/:account_id/webhooks/:webhook_id`

Use this endpoint to delete the webhook of a sub-merchant's account generated by Razorpay. Know about the [various error responses](/api/partners/errors) for this API.

### Request

````cURL: Curl theme={null}
curl -X DELETE https://api.razorpay.com/v2/accounts/acc_H3kYHQ635sBwXG/webhooks/HK890egfiItP3H \
-u  \

```java: Java

RazorpayClient razorpay = new RazorpayClient("[ACCESS_TOKEN]");

String accountId = "acc_GP4lfNA0iIMn5B";

String webhookId = "HK890egfiItP3H";

List webhook = instance.webhook.delete(accountId, webhookId);

```ruby: Ruby
require "razorpay"
Razorpay.setup('ACCESS_TOKEN')
accountId = "acc_GP4lfNA0iIMn5B"

webhookId = "HK890egfiItP3H"

Razorpay::Webhook.delete(webhookId, accountId)

```csharp: .NET
RazorpayClient client = new RazorpayClient("[ACCESS_TOKEN]");

string accountId = "acc_ua2tBezhcEBvap";

string webhookId = "HK890egfiItP3H";

List webhook = client.Webhook.Delete(webhookId, accountId);
````

### Response

```json: Success theme={null}
{
  []
}    
```

### Parameters

`account_id` *mandatory*
: `string` The unique identifier of a sub-merchant account generated by Razorpay. For example, `acc_H3kYHQ635sBwXG`.

`webhook_id` *mandatory*
: `string` The unique identifier of the webhook whose details are to be deleted. For example, `HK890egfiItP3H`
